Name:		OpenStopMotion
Version:	0.6.3
Release:	1
Summary:	Webcam capture program for creating stopmotion video
Autoreq:  yes

Group:		Applications/Multimedia
License:	GPL3
URL:		http://www.pfp.de/
Source:	OpenStopMotion-%{version}-src.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	gcc, gcc-c++, libgcc, bzip2-devel, zlib-devel, libjpeg-devel, libpng-devel, nasm, freetype-devel, libtiff-devel, libstdc++-devel, qt-devel, glibc-devel, pcre-devel

%description
OpenStopMotion is a capture program for creating stopmotion video clips. It
runs on Linux and FreeBSD and it can capture from all webcams supported by
the kernel. OpenStopMotion is written by Patrick Fedick <patrick@pfp.de>.
For more information, please visit http://www.pfp.de.

Features:
  - control webcam
  - supported capture formats: MJPEG, YUYV (YUV 4:2:2)
  - supports all frame sizes your webcam can handle, including
    full HD
  - supported image formats: PNG, BMP, JPEG
  - frame averaging: capture several frames and merge them together to reduce
    grain
  - onion skin (last frame shines through)
  - capture additional background frame
  - bluescreen / greenscreen with background image and preview in realtime
  - transparent foreground image with preview in realtime
  - save as raw image or composited with background and foreground image
    or both
  - Arduino support for controlling the LED lights in your scene
  - unlimited scenes
  - unlimited frames
  - undo function
  - playback with 15 fps or more with optional interpolation
  - frame cache for smooth playback

%prep
%setup -q -n %{name}-%{version}

%build
WORK=`pwd`
mkdir -p bin lib include
cd ppl7
./configure --prefix=$WORK --with-pcre=/usr --with-jpeg --with-png --with-libtiff=/usr --with-nasm --without-libmcrypt-prefix
make install
cd ../osm
PATH="$WORK/bin:$PATH"
qmake-qt4
make -j2 release
cp release/OpenStopMotion $WORK/bin/OpenStopMotion

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/icons
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cp bin/OpenStopMotion $RPM_BUILD_ROOT/usr/bin
cp osm/resources/icon256x256.png $RPM_BUILD_ROOT/usr/share/icons/OpenStopMotion.png

# Desktop menu entry
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=OpenStopMotion
Comment=Webcam capture program for creating stopmotion video
Exec=/usr/bin/OpenStopMotion
Icon=/usr/share/pixmaps/OpenStopMotion.png
Terminal=0
Type=Application
Categories=Qt;AudioVideo;
EOF

desktop-file-install --vendor "Patrick F.-Productions" \
  --dir $RPM_BUILD_ROOT/usr/share/applications \
  --add-category Qt \
  --add-category AudioVideo \
%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/*
/usr/share/icons/*
/usr/share/applications/*
%doc

%changelog

